getNetworkAclDenyAllowGroupList

Prev Next

Get the list of network ACL Deny-Allow groups.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET | POST /vpc/v2/getNetworkAclDenyAllowGroupList
Note

This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.

Request headers

For information about the headers common to all VPC APIs, see VPC common headers.

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
regionCode String Optional Region code where you want to query the network ACL Deny-Allow group list
vpcNo String Optional Query the network ACL Deny-Allow group list with the VPC number.
networkAclDenyAllowGroupName String Optional Query the list with the network ACL Deny-Allow group name.
networkAclDenyAllowGroupStatusCode String Optional Query the list with the network ACL Deny-Allow group status code.
  • SET | RUN
networkAclDenyAllowGroupNoList.N List[String] Optional Query the list with the network ACL Deny-Allow group number.
  • networkAclDenyAllowGroupNo can be obtained through getNetworkAclDenyAllowGroupList.
  • Example: networkAclDenyAllowGroupNoList.1=1234&networkAclDenyAllowGroupNoList.2=2345
isApplied Boolean Optional Query the list by whether or not the network ACL rule is applied.
  • true | false
    • true: Network ACL rule is applied.
    • false: Network ACL rule is not applied.
pageNo Integer Optional Page numbers in paged results
  • Page the result values using pageNo and pageSize.
pageSize Integer Conditional Number of results to display on a page
  • Required when entering pageNo
  • Page the result values using pageNo and pageSize.
responseFormatType String Optional Format of the response result
  • xml (default) | json

Request example

The request example is as follows:

curl --location 'https://ncloud.apigw.ntruss.com/vpc/v2/getNetworkAclDenyAllowGroupList
?regionCode=KR
&vpcNo=***04
&networkAclDenyAllowGroupName=test-***
&networkAclDenyAllowGroupStatusCode=RUN
&networkAclDenyAllowGroupNoList.1=***40
&isApplied=false' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

This section describes the response format.

Response body

See NetworkAclDenyAllowGroupList for the response body.

Response status codes

For information about the HTTP status codes common to all VPC APIs, see VPC response status codes.

Response example

The response example is as follows:

<getNetworkAclDenyAllowGroupListResponse>
  <requestId>84a4afa8-78aa-43b6-9a15-2bc25c3a7e7c</requestId>
  <returnCode>0</returnCode>
  <returnMessage>success</returnMessage>
  <totalRows>1</totalRows>
  <networkAclDenyAllowGroupList>
    <networkAclDenyAllowGroup>
      <networkAclDenyAllowGroupNo>***40</networkAclDenyAllowGroupNo>
      <networkAclDenyAllowGroupName>test-***</networkAclDenyAllowGroupName>
      <networkAclDenyAllowGroupStatus>
        <code>RUN</code>
        <codeName>run</codeName>
      </networkAclDenyAllowGroupStatus>
      <vpcNo>***04</vpcNo>
      <networkAclDenyAllowGroupDescription></networkAclDenyAllowGroupDescription>
      <createDate>2021-01-25T19:40:48+0900</createDate>
      <isApplied>false</isApplied>
    </networkAclDenyAllowGroup>
  </networkAclDenyAllowGroupList>
</getNetworkAclDenyAllowGroupListResponse>